/******************************************************************************/
/* symbols.h  -- see http://www.zeppoo.net                                    */
/*                                                                            */
/* The project zeppoo is (C) 2006 : contact@zeppoo.net                        */
/* This program is free software;                                             */
/* you can redistribute it and/or modify it under the terms of the GNU        */
/* General Public License as published by the Free Software Foundation;       */
/* Version 2. This guarantees your right to use, modify, and                  */
/* redistribute this software under certain conditions.                       */
/*                                                                            */
/* Source is provided to this software because we believe users have a        */
/* right to know exactly what a program is going to do before they run        */
/* it.                                                                        */
/*                                                                            */
/* This program is distributed in the hope that it will be                    */
/* useful, but WITHOUT ANY WARRANTY; without even the implied                 */
/* warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR                    */
/* PURPOSE. See the GNU General Public License for more details (             */
/* http://www.gnu.org/copyleft/gpl.html ).                                    */
/*                                                                            */
/******************************************************************************/

#ifndef SYMBOLS_H
#define SYMBOLS_H

#include <stdio.h>
#include <asm/unistd.h>
#include "libzeppoo/zeppoo.h"

void simpleViewSymbols(pKernelSyms *);
void getSymbols(pKernelSyms *);
void viewSymbols(char *);
void writeSymbols(FILE *, char *);
void getSymbolFingerprints(pKernelSym *);
void getSymbolsFingerprints(FILE *);
void viewHijackSymbols(FILE *);

void simpleViewLinuxBinfmt(pTable *);
void getSymbolsLinuxBinfmt(pTable *, char *);
void viewSymbolsLinuxBinfmt(char *);
void writeSymbolsLinuxBinfmt(FILE *, char *);
void getSymbolsFingerprints(FILE *);
void viewHijackSymbolsLinuxBinfmt(FILE *, char *);

#endif
